org.springframework.web.servlet.view.tiles2

## Class SpringLocaleResolver

- java.lang.Object
- - org.apache.tiles.locale.impl.DefaultLocaleResolver
  - - org.springframework.web.servlet.view.tiles2.SpringLocaleResolver

All Implemented Interfaces:
  LocaleResolver

    public class SpringLocaleResolver
    extends DefaultLocaleResolver

Tiles LocaleResolver adapter that delegates to a Spring `LocaleResolver`, exposing the DispatcherServlet-managed locale.

This adapter gets automatically registered by `TilesConfigurer`. If you are using standard Tiles bootstrap, specify the name of this class as value for the init-param "org.apache.tiles.locale.LocaleResolver".

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `DefinitionsFactory.LOCALE_RESOLVER_IMPL_PROPERTY`

### Field Summary

### Fields inherited from class org.apache.tiles.locale.impl.DefaultLocaleResolver

`LOCALE_KEY`

### Constructor Summary

Constructors
Constructor and Description
`SpringLocaleResolver()`

### Method Summary

Methods
`Locale` `resolveLocale(TilesRequestContext context)`

### Methods inherited from class org.apache.tiles.locale.impl.DefaultLocaleResolver

`init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpringLocaleResolver

    public SpringLocaleResolver()

### Method Detail

#### resolveLocale

    public Locale resolveLocale(TilesRequestContext context)

Specified by:
  `resolveLocale` in interface `LocaleResolver`
Overrides:
  `resolveLocale` in class `DefaultLocaleResolver`